TELUS / Norton Device Security is not compatible with Big Sur. Need the newer version.

Reply
joewilliamsca
Friendly Neighbour

It looks like the partner portal that TELUS has with Norton is still using an out of date version of Norton 

 

Here is a screenshot of the error from my Mac that's running Big Sur.   The version of Norton that's crashing is 8.5.7f25 (which is the version in the Telus partner portal)

 

screenshot_08.png

 

Norton has said that the first version that supports Big Sur is 8.6. (https://support.norton.com/sp/en/ca/home/current/solutions/v119174366?inid=hho_supp_htm_home-cur-ret...)

 

Any news when the version will be updated in the portal,  so customers using Big Sur will be able to download it?

 

Thanks!

ThePopper
Advocate

I live in downtown Vancouver, and just subscribed to Norton 360.  I updated my Mac with Big Sur, and all appears to be working fine.

 

giantbrownguy
Ambassador

I think @joewilliamsca is saying that the Norton subscription provided by Telus is not up to date with Big Sur, rather than buying your own Norton sub. @A-B @dru is that something that can get flagged for Telus?

joewilliamsca
Friendly Neighbour

Hey @giantbrownguy and @ThePopper 

 

I just tried the portal again this evening,  and it looks like the Mac download has been updated.  Instead of downloading the old Device Security for the Mac,  the download is for Norton 360,  which I was able to install on my Mac with Big Sur.

 

Happy times!